/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package northwind.controladores;

import java.sql.Connection;
import java.sql.SQLException;
import javax.swing.JOptionPane;
import northwind.modelos.ConexionBD;
import northwind.modelos.ConexionMySQL;
import northwind.modelos.ConexionSQLServer;
import northwind.vistas.VentanaLogin;

public class ControladorLogin implements IControladorLogin {
    private VentanaLogin ventanaLogin;
    private ConexionBD conexion;
    
    /**
     * Constructor
     */                                
    public ControladorLogin() {
        this.ventanaLogin = new VentanaLogin(this);   
        //muestra la ventana de login
    }
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Aceptar
     */                            
    @Override
    public void botonAceptarClick() {
        String usuario = this.ventanaLogin.getUsuario().getText().trim();
        String clave = new String(this.ventanaLogin.getClave().getPassword()).trim();
        String servidor = this.ventanaLogin.getServidor().getText().trim();
        String puerto = this.ventanaLogin.getPuerto().getText().trim();        
        
        String bd = "Northwind";
//        this.conexion = ConexionMySQL.crear(servidor, puerto, bd, usuario, clave);     
        this.conexion = ConexionSQLServer.crear(servidor, puerto, bd, usuario, clave);
        
        ControladorOrders.crear(this.ventanaLogin, conexion); 
        ControladorOrders.destruir();
    }

    /**
     * Acción a ejecutar cuando se selecciona el botón Cancelar
     */                            
    @Override
    public void botonCancelarClick() {
        this.ventanaLogin.dispose();
        if (this.conexion != null) {
            Connection cnn = this.conexion.getConnection();
            try {
                if (cnn != null)
                    cnn.close();
                System.exit(0);
            }
            catch(SQLException e) {
                String mensajeError = "Error al cerrar la conexión";
                JOptionPane.showMessageDialog(null, mensajeError, "Northwind", JOptionPane.ERROR_MESSAGE);                                    
            }        
        }
        else
            System.exit(0);
    }
}
