/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

import java.sql.Connection;

/**
 * Clase que agrupa a todas las conexiones
*/       
public abstract class ConexionBD {
    private Connection cnn;
    private String url;
    private String driver;    
    
    /**
     * Constructor
     * @param url url para realizar la conexión
     * @param driver driver para realizar la conexión
    */
    public ConexionBD(String url, String driver) {
        this.url = url;
        this.driver = driver;
    }
      
    /**
     * Devuelve el objeto Connection asociado a la conexión
     * @return Connection
    */                                                                
    public Connection getConnection() {
        return this.cnn;
    }
    
    /**
     * Asigna el objeto Connection de la conexión
     * @param cnn objeto Connection de la conexión
    */                        
    public void setConnection(Connection cnn) {
        this.cnn = cnn;
    }    
    
    /**
     * Devuelve la URL de la conexión
     * @return String URL de la conexión
    */            
    public String getURL() {
        return this.url;
    }

    /**
     * Devuelve el driver de la conexión
     * @return String driver de la conexión
    */                
    public String getDriver() {
        return this.driver;
    }
    
}
