/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class GestorCustomers {
    private static GestorCustomers instancia;     
    
    /**
     * Constructor
    */
    private GestorCustomers() {
    }
    
    /**
     * Método estático que permite crear una única instancia de GestorCustomers
     * @return GestorCustomers
    */                                                            
    public static GestorCustomers crear() {
        if (instancia == null) 
            instancia = new GestorCustomers();
        return instancia;        
    }  
    
    /**
     * Crea un Cliente con los datos especificados
     * @param customerID ID del cliente
     * @param companyName nombre de la compañía
     * @return Customer  - cliente creado o null si algún parámetro es incorrecto
    */                                                                    
    public Customer crearCustomer(String customerID, String companyName) {
        if ((companyName != null) && (!companyName.isEmpty()))
            return new Customer(customerID, companyName);
        else
            return null;
    }
}
