/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package northwind.modelos;

public class GestorEmployees {
    private static GestorEmployees instancia;     
    
    /**
     * Constructor
    */
    private GestorEmployees() {
    }
    
    /**
     * Método estático que permite crear una única instancia de GestorEmployees
     * @return GestorEmployees
    */                                                            
    public static GestorEmployees crear() {
        if (instancia == null) 
            instancia = new GestorEmployees();
        return instancia;        
    }    
    
    /**
     * Crea un Empleado con los datos especificados
     * @param employeeID ID del empleado
     * @param apellido apellido del empleado
     * @param nombre nombre del empleado
     * @return Employee  - empleado creado o null si algún parámetro es incorrecto
    */                                                                    
    public Employee crearEmployee(int employeeID, String apellido, String nombre) {
        if ((apellido != null) && (!apellido.isEmpty()) && (nombre != null) && (!nombre.isEmpty()))
            return new Employee(employeeID, apellido, nombre);
        else
            return null;
    }    
}
