use Northwind
go

drop view VOrdenes
go

create view VOrdenes
as
	select Orders.OrderID, Customers.CustomerID, CompanyName as 'Compañía', Employees.EmployeeID, LastName as 'Apellido', FirstName as 'Nombre', OrderDate as 'Fecha'
	from Orders join Customers
	on Orders.CustomerID = Customers.CustomerID
	join Employees
	on Orders.EmployeeID = Employees.EmployeeID
go

create procedure Ordenes
as
	select * from VOrdenes
    order by fecha
go

exec Ordenes

drop view VDetalleOrden
go

create view VDetalleOrden
as
	select Orders.OrderID, Products.ProductID, ProductName as 'Producto', [Order Details].UnitPrice as 'Precio Unitario', Quantity as 'Cantidad', Discount as 'Descuento', Quantity * (1 - Discount) * [Order Details].UnitPrice as 'Total'
	from Orders join [Order Details]
    on Orders.OrderID = [Order Details].OrderID
    join Products
    on Products.ProductID = [Order Details].ProductID
go
  
drop procedure DetalleOrden
go
  
create procedure DetalleOrden
	@OrdID int
as
	select * from VDetalleOrden
    where OrderID = @OrdID
go

exec DetalleOrden 10248

drop procedure TotalOrden
go

create procedure TotalOrden
	@OrdID int
as
	select OrderID, sum(Total) as 'Total'
    from VDetalleOrden
    where OrderID = @OrdID
    group by OrderID
go

exec TotalOrden 10248